package domain

type AlibabaWdkCouponTemplateQueryLogicGroup struct {
	/*
	   逻辑分组类型     */
	LogicGroupType *int64 `json:"logic_group_type,omitempty" `

	/*
	   参与者分组序号     */
	Number *int64 `json:"number,omitempty" `

	/*
	   五道口参与者名称     */
	WdkGroupName *string `json:"wdk_group_name,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryLogicGroup) SetLogicGroupType(v int64) *AlibabaWdkCouponTemplateQueryLogicGroup {
	s.LogicGroupType = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryLogicGroup) SetNumber(v int64) *AlibabaWdkCouponTemplateQueryLogicGroup {
	s.Number = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryLogicGroup) SetWdkGroupName(v string) *AlibabaWdkCouponTemplateQueryLogicGroup {
	s.WdkGroupName = &v
	return s
}
